/*******************************************************************************
 * Copyright (c) 2010, 2012 Sonatype, Inc.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *    Stuart McCulloch (Sonatype, Inc.) - initial API and implementation
 *******************************************************************************/
/**
 * Bean reflection and introspection.
 *
 * <p>The principal members of this package are:
 * <dl>
 * <dt>{@link org.sonatype.guice.bean.reflect.ClassSpace}
 * <dd>Represents a source of classes and resources that can be scanned.
 * <dt>{@link org.sonatype.guice.bean.reflect.BeanProperties}
 * <dd>Picks out potential bean properties from declared class members.
 * <dt>{@link org.sonatype.guice.bean.reflect.Logs}
 * <dd>Utility methods for logging internal debug and warning messages.
 * <dt>{@link org.sonatype.guice.bean.reflect.TypeParameters}
 * <dd>Utility methods for dealing with generic type parameters.
 * </dl>
 */
package org.sonatype.guice.bean.reflect;

