/*******************************************************************************
 * Copyright (c) 2010, 2012 Sonatype, Inc.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *    Stuart McCulloch (Sonatype, Inc.) - initial API and implementation
 *******************************************************************************/
/**
 * Qualified class index support (META-INF/sisu).
 *
 * <p>The principal members of this package are:
 * <dl>
 * <dt>{@link org.sonatype.guice.bean.scanners.index.SisuIndex}
 * <dd>Command-line indexing tool.
 * <dt>{@link org.sonatype.guice.bean.scanners.index.SisuIndexAPT6}
 * <dd>Java 6 annotation processor.
 * <dt>{@link org.sonatype.guice.bean.scanners.index.SisuIndexFinder}
 * <dd>Index-driven {@link org.sonatype.guice.bean.scanners.ClassFinder}.
 * </dl>
 */
package org.sonatype.guice.bean.scanners.index;

